> ## Documentation Index
> Fetch the complete documentation index at: https://docs.derivadex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Mark Price History

> Get mark prices over time



## OpenAPI

````yaml /api-specs/public-rest-unified.json get /exchange/api/v1/mark_prices
openapi: 3.1.0
info:
  title: DerivaDEX API Documentation
  version: '1.0'
  description: ''
servers:
  - url: https://testnet.derivadex.io
    description: DerivaDEX testnet
security: []
tags:
  - name: Venue-Wide Tables
    description: These APIs expose venue-wide public tables and reference data.
    x-source-api: Public REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public Exchange REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public Exchange REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public Exchange REST API
paths:
  /exchange/api/v1/mark_prices:
    get:
      tags:
        - Market
      summary: Get Mark Price History
      description: Get mark prices over time
      parameters:
        - in: query
          name: limit
          schema:
            type: integer
            default: 500
          description: The number of rows to return
        - in: query
          name: epoch
          schema:
            type: integer
          description: The epoch boundary used when fetching the next timeseries page.
          example: 100
        - in: query
          name: symbol
          schema:
            type: string
          description: The symbol
          example: ETHP
        - in: query
          name: order
          schema:
            type: string
            enum:
              - asc
              - desc
            default: asc
          description: The ordering of the results.
        - in: query
          name: globalOrdinal
          schema:
            type: integer
          description: >-
            The global ordinal boundary used when fetching the next timeseries
            page.
          example: 100
      responses:
        '200':
          description: Mark price data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExchangeAPIMarkPriceSuccessResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
components:
  schemas:
    ExchangeAPIMarkPriceSuccessResponse:
      type: object
      additionalProperties: false
      properties:
        nextGlobalOrdinal:
          type:
            - number
            - 'null'
          description: >-
            Pointer for the global ordinal boundary of the next page. Will
            return null when there is no more data left to fetch.
          examples:
            - 100
            - null
        value:
          type: array
          items:
            type: object
            properties:
              globalOrdinal:
                type: number
                description: >-
                  The global ordinal for an order update that identifies it
                  uniquely.
                examples:
                  - 9
              epochId:
                type: number
                description: The epoch in which the mark price belongs.
                examples:
                  - 100
              symbol:
                type: string
                description: The symbol of the asset.
                examples:
                  - ETHP
              price:
                type: string
                description: The mark price value.
                examples:
                  - 3428.44
              fundingRate:
                type: string
                description: The funding rate value.
                examples:
                  - 0.005
              createdAt:
                type: string
                format: date-time
                description: The time when this row was added to the database.
                examples:
                  - '2023-01-06T16:37:27.929Z'
            required:
              - globalOrdinal
              - epochId
              - symbol
              - price
              - fundingRate
              - createdAt
            additionalProperties: false
            description: A mark price.
          description: The value of the response
        success:
          type: boolean
          const: true
          description: Whether the request was successful
        timestamp:
          type: number
          description: The timestamp of the response
          examples:
            - 1673031089
      required:
        - nextGlobalOrdinal
        - success
        - timestamp
        - value
      description: Successful response for the Mark Price API
    StatsAPIErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          const: false
        errorMsg:
          anyOf:
            - type: string
            - type: array
              items:
                type: object
                additionalProperties: false
      required:
        - success
      additionalProperties: false

````